Bug 1467873 - Command forwarding in Atomic host fails with "can't set attribute" [NEEDINFO]
Command forwarding in Atomic host fails with "can't set attribute"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atomic (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lokesh Mandvekar
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 07:47 EDT by Marian Jankular
Modified: 2017-07-06 11:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-06 11:20:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bbaude: needinfo? (mjankula)


Attachments (Terms of Use)

  None (edit)
Description Marian Jankular 2017-07-05 07:47:35 EDT
Description of problem:
Command forwarding in Atomic host fails with "can't set attribute"

Version-Release number of selected component (if applicable):
redhat-release-atomic-host-7.3-20161129

How reproducible:
always

Steps to Reproduce:
1. install atomic-host-7.3-20161129
2. in /etc/sysconfig/atomic change "#export TOOLSIMG=" to "export TOOLSIMG=rhel7/rhel-tools"
3. run "vim /etc/file1" - no problems here
4. run "vim /etc/file1" - "can't set attribute"

Actual results:
can't set attribute

Expected results:
no errors

Additional info:
Comment 2 Brent Baude 2017-07-05 15:10:34 EDT
This appears to be fixed in newer 7.3 releases.  I would recommend using the latest release.  If that is not possible, I tested from latest backwards and found that it works in:

redhat-release-atomic-host-7.3-20161129.0.atomic.el7.5.x86_64

This, more importantly, includes atomic-1.17.2-9.git2760e30.el7.x86_64 which does not appear to have the same problem.
Comment 3 Micah Abbott 2017-07-06 11:20:04 EDT
Yeah, this is working for me in the latest release:

# atomic host status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
             Version: 7.3.6 (2017-06-23 16:20:45)
              Commit: e073a47baa605a99632904e4e05692064302afd8769a15290d8ebe8dbfd3c81b

# rpm -q atomic
atomic-1.17.2-9.git2760e30.el7.x86_64


I'm going to close this as CURRENTRELEASE.  Please re-open or file a new BZ if you have additional issues.

Note You need to log in before you can comment on or make changes to this bug.